E-Arogya - Feature #248
Feature # 235 (New): [Security Audit Round 2 ]

[Security Audit Round 2] Framework Obsolete Version in usage (Repeated)

01/05/2024 12:43 PM - Kalyan Battula

Status: Resolved Start date: 01/05/2024
Priority: High Due date:

Assignee: Vasu Malladi % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Sprint 3 (14th to 17th May 2024) Spent time: 0:00 hour
Deployed In: Category:

Description

Framework Obsolete Version in usage (Repeated)
observation : Repeated

CWE : CWE-1035

Description :

It is observed that java spring boot older version in usage.

Affected Path(s) :
/(Webserver)
Impact :

Known type of vulnerabilities exists in the application due to the usage of lower version.

Evidence/Proof Of Concept :

Step 1: Outdated Spring boot Framework version is being used in the application.
Step 2: It is found that 2.5.4 version life support is ended on May 10, 2023
Step 3: Share updated POC for next level audit
Recommendation :

It is recommended to upgrade to the latest stable and secure version of springframework.

History

#1 - 03/05/2024 04:20 AM - Harish Beechani

- Assignee set to Panchajanya mukkamala

#2 - 03/05/2024 05:27 AM - Sivakanth Kesiraju

- Target version set to Security Audit

#3 - 10/05/2024 06:14 AM - Harish Beechani

- Status changed from New to In Progress

#4 - 14/05/2024 04:32 AM - Sivakanth Kesiraju

- Target version changed from Security Audit to Sprint 3 (14th to 17th May 2024)

#5 - 17/05/2024 04:27 AM - Vasu Malladi

- Assignee changed from Panchajanya mukkamala to Vasu Malladi

#6 - 29/05/2024 07:01 AM - Vasu Malladi

- Status changed from In Progress to Resolved
